package com.loit.common.tool;

import java.io.InputStream;
import java.util.Properties;

import com.loit.common.config.SpringContextUtil;
/**
 * 读取配置信息
 * @author fangshiquan
 *
 */
public class ReadProper {

    public static String getResourceValue(String key) {
        try {
        	String activeMode = SpringContextUtil.getActiveProfile();
        	String fileNamePath="";
        	switch (activeMode) {
			case "proc":
				fileNamePath="/application-proc.properties";
				break;
			case "dev":
				fileNamePath="/application-dev.properties";
				break;
			default:
				fileNamePath="/application-test.properties";
			}
            InputStream input = ReadProper.class.getResourceAsStream(fileNamePath);
            Properties p = new Properties();
            p.load(input);
            input.close();
            if (!p.containsKey(key)) {
                return null;
            }
            return p.getProperty(key);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }

    }

    //读取国际化
    public static String getI18n(String key) {
        try {
            InputStream input = ReadProper.class
                    .getResourceAsStream("/i18n_zh_CN.properties");
            Properties p = new Properties();
            p.load(input);
            input.close();
            if (!p.containsKey(key)) {
                return null;
            }
            return p.getProperty(key);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }

    }
}
